## org.apache.cassandra.db.index
Class SecondaryIndexBuilder

    java.lang.Object
      org.apache.cassandra.db.index.SecondaryIndexBuilder

All Implemented Interfaces:
  CompactionInfo.Holder

    public class SecondaryIndexBuilder

extends java.lang.Object
implements CompactionInfo.Holder

Manages building an entire index from column family data. Runs on to compaction manager.

Constructor Summary
`SecondaryIndexBuilder(ColumnFamilyStore cfs, java.util.SortedSet<java.nio.ByteBuffer> columns, ReducingKeyIterator iter)`

Method Summary
`void` `build()`
`CompactionInfo` `getCompactionInfo()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SecondaryIndexBuilder

    public SecondaryIndexBuilder(ColumnFamilyStore cfs,
                                 java.util.SortedSet<java.nio.ByteBuffer> columns,
                                 ReducingKeyIterator iter)

Method Detail

### getCompactionInfo

    public CompactionInfo getCompactionInfo()

  Specified by:
    `getCompactionInfo` in interface `CompactionInfo.Holder`

### build

    public void build()

Copyright © 2012 The Apache Software Foundation